Skip to main content
GET
/
dashboards
/
{id}
Get dashboard details
curl --request GET \
  --url https://api.akua.dev/v1/dashboards/{id} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.akua.dev/v1/dashboards/{id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.akua.dev/v1/dashboards/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "j572abc123def456",
  "html_url": "https://akua.dev/dashboards/dash_j572abc123def456",
  "name": "Cluster Overview",
  "description": "<string>",
  "workspace_id": "<string>",
  "widgets": [
    {
      "id": "<string>",
      "dashboard_id": "<string>",
      "widget_type": "snippet",
      "snippet_id": "<string>",
      "position": 123,
      "col_span": 1,
      "created_at": 1,
      "updated_at": 1,
      "etag": "<string>"
    }
  ],
  "created_by": "<string>",
  "created_at": 1,
  "updated_at": 1,
  "etag": "<string>"
}
{
"success": false,
"errors": [
{
"code": 7002,
"message": "Resource not found",
"path": [
"body",
"name"
],
"metadata": {}
}
],
"result": {}
}
{
"success": false,
"errors": [
{
"code": 7002,
"message": "Resource not found",
"path": [
"body",
"name"
],
"metadata": {}
}
],
"result": {}
}

Authorizations

Authorization
string
header
required

workspace API token (sk_akua_...) or OAuth2 JWT. Create tokens at https://akua.dev/developers/api-tokens

Path Parameters

id
string
required

Dashboard ID

Required string length: 1 - 55

Response

Dashboard details

id
string
required
Example:

"j572abc123def456"

html_url
string<uri>
required

Absolute dashboard URL for this resource. OUTPUT_ONLY.

Maximum string length: 2048
Example:

"https://akua.dev/dashboards/dash_j572abc123def456"

name
string
required
Example:

"Cluster Overview"

description
string | null
required

Optional dashboard description

workspace_id
string
required
widgets
object[]
required

Output-only denormalized widget list for dashboard read models.

created_by
string
required

User ID of the dashboard creator

created_at
integer
required

Unix timestamp (seconds)

Required range: x >= 0
updated_at
integer
required

Unix timestamp (seconds)

Required range: x >= 0
etag
string
required